properties.Add("3D2DText_AddPermaScreen", {
	MenuLabel = "Permanenten Textscreen erstellen",
	Order = 3001,
	MenuIcon = "icon16/transmit.png",
	Filter = function(self, ent, ply)
		if !IsValid(ent) or ent:GetClass() != "3d2dtext" or ent:GetPersisted() then return false end
		return MG_DeveloperGroups[ply:GetUserGroup()]
	end,
	Action = function(self, ent)
		if !IsValid(ent) then return false end
		RunConsoleCommand("3d2dtext", "add", ent:EntIndex())
	end
})

properties.Add("3D2DText_RemovePermaScreen", {
	MenuLabel = "Permanenten Textscreen entfernen",
	Order = 3002,
	MenuIcon = "icon16/transmit_delete.png",
	Filter = function(self, ent, ply)
		if !IsValid(ent) or ent:GetClass() != "3d2dtext" or !ent:GetPersisted() then return false end
		return MG_DeveloperGroups[ply:GetUserGroup()]
	end,
	Action = function(self, ent)
		if !IsValid(ent) then return end
		RunConsoleCommand("3d2dtext", "delete", ent:EntIndex())
	end
})